﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Pdf;
using Syncfusion.HtmlConverter;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.HtmlToPdf;

namespace Sample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //Creates a new PDF document.

            PdfDocument pdfDocument = new PdfDocument();

            pdfDocument.PageSettings.Margins.All = 0;

            //Adds a page to the PDF document.

            PdfPage page = pdfDocument.Pages.Add();

            SizeF pageSize = page.GetClientSize().ToSize();

            AspectRatio dimension = AspectRatio.KeepWidth;

            HtmlConverter html = new HtmlConverter();

            // Unit converter to convert the PDF page size to pixels.

            PdfUnitConvertor convertor = new PdfUnitConvertor();

            float width = convertor.ConvertToPixels(pageSize.Width, PdfGraphicsUnit.Point);

            float height = convertor.ConvertToPixels(pageSize.Height, PdfGraphicsUnit.Point);

            // Layout format for Metafile.

            PdfMetafileLayoutFormat metafileFormat = new PdfMetafileLayoutFormat();

            metafileFormat.Break = PdfLayoutBreakType.FitPage;

            metafileFormat.Layout = PdfLayoutType.Paginate;

            metafileFormat.SplitTextLines = false;

            metafileFormat.SplitImages = false;



            byte[] buffer = System.IO.File.ReadAllBytes("../../htmlFile.html");



            string htmlText = System.Text.Encoding.Default.GetString(buffer);


            // Converts the URL to metafile, to render a searchable PDF.

            HtmlToPdfResult result = html.Convert(htmlText, "", ImageType.Metafile, (int)width, (int)height, dimension);

            result.Render(page, metafileFormat);


            pdfDocument.Save("output.pdf");

            System.Diagnostics.Process.Start("output.pdf");


            pdfDocument.Close(true);
        }
    }
}
